Verifies a user's ownership of a domain at the DNS level. Note that this is distinct from checking if the user has OWNER status within IRDB.
HTTP request
POST https://gmailpostmastertools.googleapis.com/v2beta/{name=domains/*}:verify
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The domain to verify. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"verificationMethod": enum ( |
| Fields | |
|---|---|
verificationMethod |
Required. The verification method used. Must be specified, i.e. TXT or CNAME. |
Response body
If successful, the response body is empty.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/postmasterhttps://www.googleapis.com/auth/postmaster.domain
For more information, see the Authorization guide.